GNU bug report logs - #29323
kill-do-not-save-duplicate, FR

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Andreas Röhler <andreas.roehler@HIDDEN>; Keywords: wontfix; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 29323 <at> debbugs.gnu.org and Andreas Röhler <andreas.roehler@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29323 <at> debbugs.gnu.org:


Received: (at 29323) by debbugs.gnu.org; 30 Nov 2021 14:48:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 30 09:48:15 2021
Received: from localhost ([127.0.0.1]:40535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ms4QY-0001r4-O0
	for submit <at> debbugs.gnu.org; Tue, 30 Nov 2021 09:48:14 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ms4QX-0001qq-Aj
 for 29323 <at> debbugs.gnu.org; Tue, 30 Nov 2021 09:48:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jL2k3/ezdFrP9WE3ZD4q77dEUHSl98GIyC6MeqbMEwE=; b=BjvqjTLmwAsb4W9Hn18/UsV7UE
 /sFikb7wtND51ibXfGL8BWLIbS0a4b9AL46OahNTn+c3p5QfLCKmzb3dVYmO0G62rYt6o3vYhSE7P
 SxvIapadfkSlG+MQaINeILqyYpB/wfx65Lu22IJT7aPZv6Qe0aVe0HHpbHokK+7Flyac=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ms4QN-00075g-JF; Tue, 30 Nov 2021 15:48:06 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#29323: kill-do-not-save-duplicate, FR
References: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
 <0c96aedc-36e2-2bbd-8672-0008dbbfd7d5@HIDDEN>
 <875zjrrwfl.fsf@HIDDEN>
X-Now-Playing: Normil Hawaiians's _More Wealth Than Money_: "Yellow Rain"
Date: Tue, 30 Nov 2021 15:48:02 +0100
In-Reply-To: <875zjrrwfl.fsf@HIDDEN> (Stefan Kangas's message of "Mon, 11
 Nov 2019 03:14:38 +0100")
Message-ID: <871r2xem3h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > I personally
 can't
 imagine when I would want the behaviour you ask > for, but I think it could
 make sense to have it as an optional > behaviour. > > Drew suggested that
 this variable should have thr [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29323
Cc: Andreas =?utf-8?Q?R=C3=B6hler?= <andreas.roehler@HIDDEN>,
 29323 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> I personally can't imagine when I would want the behaviour you ask
> for, but I think it could make sense to have it as an optional
> behaviour.
>
> Drew suggested that this variable should have three possible values,
> where 't' and 'nil' stays as they are, but we introduce a new symbol
> which means to have the behaviour you want.  I think this is a better
> proposal than changing the existing default.

I don't really see this being generally useful even as an option -- it
makes kill/yank into a completely unpredictable pair of commands, and
that sounds really confusing.

So I think if somebody really wants this, they'll just have to advice
the kill command to remove duplicates (or something like that), but I
don't think we should add such a feature to Emacs, and I'm therefore
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29323; Package emacs. Full text available.

Message received at 29323 <at> debbugs.gnu.org:


Received: (at 29323) by debbugs.gnu.org; 11 Nov 2019 02:14:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 21:14:49 2019
Received: from localhost ([127.0.0.1]:52933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTzE8-0004oZ-P8
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 21:14:49 -0500
Received: from host.gofardesign.uk ([208.79.239.190]:50989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iTzE6-0004oF-Bc
 for 29323 <at> debbugs.gnu.org; Sun, 10 Nov 2019 21:14:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=KZPXba0B20BI9W0y+7zt2JmM2oj+seov5QQJdfDCck4=; b=nC9vgOC5V/h1KV9LGeJn2fdnpI
 p8J1VnxhQz2qX0kc1MuBd06WpC4/chIGPFGFUASjCkTbTtKVHGuTrFn0sCAeUenlVmalLm1V+LiYy
 VafVy52bP3g9jcJbVT1OarbsaLGNKbc5r7el4Yq/yGheLuVHOeQHkP7CGR5j/SdyjNu0=;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:39564
 helo=localhost)
 by host.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iTzE0-0001h7-6H; Sun, 10 Nov 2019 20:14:40 -0600
From: Stefan Kangas <stefan@HIDDEN>
To: Andreas =?utf-8?Q?R=C3=B6hler?= <andreas.roehler@HIDDEN>
Subject: Re: bug#29323: kill-do-not-save-duplicate, FR
In-Reply-To: <0c96aedc-36e2-2bbd-8672-0008dbbfd7d5@HIDDEN> ("Andreas
 =?utf-8?Q?R=C3=B6hler=22's?= message of "Sun, 19 Nov 2017 19:42:27 +0100")
References: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
 <0c96aedc-36e2-2bbd-8672-0008dbbfd7d5@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Mon, 11 Nov 2019 03:14:38 +0100
Message-ID: <875zjrrwfl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: host.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: host.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29323
Cc: 29323 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas R=C3=B6hler <andreas.roehler@HIDDEN> writes:

> On 16.11.2017 20:51, Andreas Rvhler wrote:
>
>  Feature request:
>
>  Currently variable kill-do-not-save-duplicates checks only the (car kill=
-ring) as docu explains:=20
>
>  Do not add a new string to kill-ring if it duplicates the last one.
>  The comparison is done using equal-including-properties.
>
>  AFAIU it would be trivial replace this check by a call of "member", thus=
 checking the whole kill-ring.
>
>  Thanks,
>
>  Andreas
>
> This variant of kill-new should do it. Diff basically at comment " ;; del=
ete string from kill-ring"=20

I personally can't imagine when I would want the behaviour you ask
for, but I think it could make sense to have it as an optional
behaviour.

Drew suggested that this variable should have three possible values,
where 't' and 'nil' stays as they are, but we introduce a new symbol
which means to have the behaviour you want.  I think this is a better
proposal than changing the existing default.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29323; Package emacs. Full text available.

Message received at 29323 <at> debbugs.gnu.org:


Received: (at 29323) by debbugs.gnu.org; 19 Nov 2017 18:24:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 19 13:24:31 2017
Received: from localhost ([127.0.0.1]:47912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eGUGd-0006wu-8G
	for submit <at> debbugs.gnu.org; Sun, 19 Nov 2017 13:24:31 -0500
Received: from mout.kundenserver.de ([212.227.126.134]:58960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas.roehler@HIDDEN>) id 1eGUGb-0006wh-MR
 for 29323 <at> debbugs.gnu.org; Sun, 19 Nov 2017 13:24:30 -0500
Received: from [192.168.178.35] ([77.12.48.49]) by mrelayeu.kundenserver.de
 (mreue007 [212.227.15.167]) with ESMTPSA (Nemesis) id
 0Ljxqo-1esI7o4Atm-00cAm2 for <29323 <at> debbugs.gnu.org>; Sun, 19 Nov 2017
 19:24:23 +0100
Subject: Re: bug#29323: kill-do-not-save-duplicate, FR
From: =?UTF-8?Q?Andreas_R=c3=b6hler?= <andreas.roehler@HIDDEN>
To: 29323 <at> debbugs.gnu.org
References: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
Message-ID: <0c96aedc-36e2-2bbd-8672-0008dbbfd7d5@HIDDEN>
Date: Sun, 19 Nov 2017 19:42:27 +0100
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------3C9FFDBF81A3A2AF80D33943"
Content-Language: en-US
X-Provags-ID: V03:K0:k4HEhTbUZ4qgVqYX4lyihBC0AsNMCfFyT63dIOyxK6/vJgwL4pN
 swx2rQPUU/nOKmprMlG1OQQr/RV7UfAc8rU2V84kI3iG98vD/ECFNDdwNDELlcywedCISxR
 qpQOC8w/8r8FOv4vGLzWV1+0zaOZMbzZiykV1QHiqlB6m05AqbXdotu9cZsbk0MOqehDvP2
 q6P70ry+9IX0wtZC/nBIw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:t/c5wNLxrhY=:F5G4LCA0Q9V7bHeBvLruG8
 3YTjmK042y2CgDY6zer3fFWkQwo3ZdpHrQf2t4okb63R12WL5NCd9ciGNpcz6BcKz4R6yJhCF
 P4o/+tAfNMCxnK8J9ktsfkD0Sj7kcLmyQD+VA26aqN/VQKD4gJXPhRYDCnxvGibAsUoxrRZNQ
 2Zfr+OYiTS+L5/Keu/M/h1mLYqmkDydsRogvkJ7UQFUUi5wwFxKXcwe3EIC3+0DhIqjKImL3W
 KbYAdWnQ6sceVJ8mxeVY3JNjMT4W0gnqtQaBTX3ub4+P/LsS+lXgbjf5dFv9vzowuTPPc93Qv
 TKvEaPny6J2SHKCsPKLSuqVAwgxeaea/FDDyZ3qKpEAnDNoAQTV4JqEztX3Cq//JI6OB+B+dj
 JxgTHttVPKRunSrrpFAWz4PDi0SUOr7otaW/HBlMAU5XWpTpKE0MLScg7CrAWZKFrf1lUawvI
 by84gUceeGjrr5yYFi1kFYFC8HlMpRIQHYYmhfYQTP+i0oLLxBWvye/SIIIlu1Ki2YRl2Xbdn
 VrCOBgryoZjiyp5U9rRHIYGUlf2FfyJRgj2LR+Zfos6LYs41rObhG3IlEmKmSvrN/0xA1Q/fV
 a4JeWnWdIXQHVMWLSdcfY0VjiH59ujsU1UXGbyfXnLmjFKd0nobW0hHJ4kYe7UDhum8q8ybqB
 v1rSjcXqk6t5PRrgWzlwPJLGbuFgpBZsynce5TBFA0xYm+DNeSUSOkBMj9M6v91BehWpFLQAq
 XiVs/SU+mitz1a30MPTZCWAe4d3BBc0Ft/ERI0hQic5mKcI/AqJSVdcj7yk=
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 29323
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

This is a multi-part message in MIME format.
--------------3C9FFDBF81A3A2AF80D33943
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit



On 16.11.2017 20:51, Andreas Röhler wrote:
> Feature request:
>
> Currently variable kill-do-not-save-duplicates checks only the (car 
> kill-ring) as docu explains:
>
> Do not add a new string to ‘kill-ring’ if it duplicates the last one.
> The comparison is done using ‘equal-including-properties’.
>
> AFAIU it would be trivial replace this check by a call of "member", 
> thus checking the whole kill-ring.
>
> Thanks,
>
> Andreas
>
>

This variant of kill-new should do it. Diff basically at comment " ;; 
delete string from kill-ring"

(defun ar-kill-new (string &optional replace)
   "Make STRING the latest kill in the kill ring.
Set `kill-ring-yank-pointer' to point to it.
If `interprogram-cut-function' is non-nil, apply it to STRING.
Optional second argument REPLACE non-nil means that STRING will replace
the front of the kill ring, rather than being added to the list.

When `save-interprogram-paste-before-kill' and `interprogram-paste-function'
are non-nil, saves the interprogram paste string(s) into `kill-ring' before
STRING.

When the yank handler has a non-nil PARAM element, the original STRING
argument is not used by `insert-for-yank'.  However, since Lisp code
may access and use elements from the kill ring directly, the STRING
argument should still be a \"useful\" string for such uses."
   (let (newring)
     (unless (and kill-do-not-save-duplicates
                  ;; Due to text properties such as 'yank-handler that
                  ;; can alter the contents to yank, comparison using
                  ;; `equal' is unsafe.
                  (equal-including-properties string (car kill-ring)))
       (if (fboundp 'menu-bar-update-yank-menu)
           (menu-bar-update-yank-menu string (and replace (car 
kill-ring)))))
     (when save-interprogram-paste-before-kill
       (let ((interprogram-paste (and interprogram-paste-function
                                      (funcall 
interprogram-paste-function))))
         (when interprogram-paste
           (dolist (s (if (listp interprogram-paste)
                          (nreverse interprogram-paste)
                        (list interprogram-paste)))
             (unless (and kill-do-not-save-duplicates
                          (equal-including-properties s (car kill-ring)))
               (push s kill-ring))))))
     (if (and kill-do-not-save-duplicates
          (member string kill-ring))
     (progn
       ;; delete string from kill-ring
       (dolist (ele kill-ring)
         (unless (equal-including-properties string ele)
           (push ele newring)))
       ;; push the match at top
       (push string newring)
       (setq kill-ring newring))
       (if (and replace kill-ring)
           (setcar kill-ring string)
         (push string kill-ring)
         (if (> (length kill-ring) kill-ring-max)
             (setcdr (nthcdr (1- kill-ring-max) kill-ring) nil))))
     (setq kill-ring-yank-pointer kill-ring)
     (if interprogram-cut-function
         (funcall interprogram-cut-function string))))

--------------3C9FFDBF81A3A2AF80D33943
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  </head>
  <body text="#996633" bgcolor="#000000">
    <p><br>
    </p>
    <br>
    <div class="moz-cite-prefix">On 16.11.2017 20:51, Andreas Röhler
      wrote:<br>
    </div>
    <blockquote type="cite"
      cite="mid:389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN">
      <meta http-equiv="content-type" content="text/html; charset=utf-8">
      <tt>Feature re</tt><tt>quest:</tt><tt><br>
        <br>
      </tt><tt>Currently variable kill-do-not-save-duplicates </tt><tt>checks
        only the (car kill-ring) as docu explains: </tt><tt><br>
      </tt><tt><br>
      </tt><tt>Do not add a new string to ‘kill-ring’ if it duplicates
        the last one.</tt><tt><br>
      </tt><tt>The comparison is done using
        ‘equal-including-properties’.</tt><tt><br>
        <br>
      </tt><tt>AFAIU it would be trivial replace this check by a call of
        "member", thus checking the whole kill-ring.<br>
        <br>
        Thanks,<br>
        <br>
        Andreas<br>
      </tt>
      <p><br>
      </p>
    </blockquote>
    <br>
    This variant of kill-new should do it. Diff basically at comment "
    ;; delete string from kill-ring" <br>
    <br>
    (defun ar-kill-new (string &amp;optional replace)<br>
      "Make STRING the latest kill in the kill ring.<br>
    Set `kill-ring-yank-pointer' to point to it.<br>
    If `interprogram-cut-function' is non-nil, apply it to STRING.<br>
    Optional second argument REPLACE non-nil means that STRING will
    replace<br>
    the front of the kill ring, rather than being added to the list.<br>
    <br>
    When `save-interprogram-paste-before-kill' and
    `interprogram-paste-function'<br>
    are non-nil, saves the interprogram paste string(s) into `kill-ring'
    before<br>
    STRING.<br>
    <br>
    When the yank handler has a non-nil PARAM element, the original
    STRING<br>
    argument is not used by `insert-for-yank'.  However, since Lisp code<br>
    may access and use elements from the kill ring directly, the STRING<br>
    argument should still be a \"useful\" string for such uses."<br>
      (let (newring)<br>
        (unless (and kill-do-not-save-duplicates<br>
                     ;; Due to text properties such as 'yank-handler
    that<br>
                     ;; can alter the contents to yank, comparison using<br>
                     ;; `equal' is unsafe.<br>
                     (equal-including-properties string (car
    kill-ring)))<br>
          (if (fboundp 'menu-bar-update-yank-menu)<br>
              (menu-bar-update-yank-menu string (and replace (car
    kill-ring)))))<br>
        (when save-interprogram-paste-before-kill<br>
          (let ((interprogram-paste (and interprogram-paste-function<br>
                                         (funcall
    interprogram-paste-function))))<br>
            (when interprogram-paste<br>
              (dolist (s (if (listp interprogram-paste)<br>
                             (nreverse interprogram-paste)<br>
                           (list interprogram-paste)))<br>
                (unless (and kill-do-not-save-duplicates<br>
                             (equal-including-properties s (car
    kill-ring)))<br>
                  (push s kill-ring))))))<br>
        (if (and kill-do-not-save-duplicates<br>
             (member string kill-ring))<br>
        (progn<br>
          ;; delete string from kill-ring<br>
          (dolist (ele kill-ring)<br>
            (unless (equal-including-properties string ele)<br>
              (push ele newring)))<br>
          ;; push the match at top<br>
          (push string newring)<br>
          (setq kill-ring newring))<br>
          (if (and replace kill-ring)<br>
              (setcar kill-ring string)<br>
            (push string kill-ring)<br>
            (if (&gt; (length kill-ring) kill-ring-max)<br>
                (setcdr (nthcdr (1- kill-ring-max) kill-ring) nil))))<br>
        (setq kill-ring-yank-pointer kill-ring)<br>
        (if interprogram-cut-function<br>
            (funcall interprogram-cut-function string))))<br>
  </body>
</html>

--------------3C9FFDBF81A3A2AF80D33943--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29323; Package emacs. Full text available.

Message received at 29323 <at> debbugs.gnu.org:


Received: (at 29323) by debbugs.gnu.org; 18 Nov 2017 19:48:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 18 14:48:23 2017
Received: from localhost ([127.0.0.1]:46566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eG96F-0000bs-AM
	for submit <at> debbugs.gnu.org; Sat, 18 Nov 2017 14:48:23 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:30027)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1eG96D-0000bc-Uz
 for 29323 <at> debbugs.gnu.org; Sat, 18 Nov 2017 14:48:22 -0500
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 vAIJmAXc031193
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 18 Nov 2017 19:48:12 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0021.oracle.com (8.14.4/8.14.4) with ESMTP id vAIJmAQV013638
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 18 Nov 2017 19:48:10 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id vAIJm9wv011948;
 Sat, 18 Nov 2017 19:48:09 GMT
MIME-Version: 1.0
Message-ID: <1ed676b7-7f96-466b-831b-c4914b78e938@default>
Date: Sat, 18 Nov 2017 11:48:07 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: =?utf-8?B?QW5kcmVhcyBSw7ZobGVy?= <andreas.roehler@HIDDEN>,
 29323 <at> debbugs.gnu.org
Subject: RE: bug#29323: kill-do-not-save-duplicate, FR
References: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
 <9e1d4bed-fbe9-463a-afdd-031f3b9cb041@default>
 <4555a640-d432-eaad-954d-2a91078e2396@HIDDEN>
In-Reply-To: <4555a640-d432-eaad-954d-2a91078e2396@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4615.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -5.1 (-----)
X-Debbugs-Envelope-To: 29323
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

> >> Currently variable kill-do-not-save-duplicates checks only the (car
> >> kill-ring) as docu explains: Do not add a new string to =E2=80=98kill-=
ring=E2=80=99
> >> if it duplicates the last one. The comparison is done using
> >> =E2=80=98equal-including-properties=E2=80=99. AFAIU it would be trivia=
l replace this
> >> check by a call of "member", thus checking > the whole kill-ring.
> >
> > Why do that? Why not just prevent duplicates in the first place, which
> > is what the option currently does? If you for some reason get
> > duplicate entries somehow, in spite of using the option to prevent
> > them, you can always remove them. I don't understand how that would be
> > something that would happen normally. What is the problem that this
> > would try to solve/prevent? ---
>=20
> Currently not a check for duplicates is implemented, but for a repeat.
>=20
> When having alternating strings to copy, they go into the kill-ring one
> after one. That way it ended up having just two strings in the
> kill-ring, and previous content lost.

Sorry; my bad.  I don't use that variable.  Clearly you
are right.  The option should perhaps have 3 values: one
to do nothing special, one to not push when the car is
the same, and one to not push when the same is on the
right somewhere.

> BTW implementing it would be a way more complicated as thought because
> of text properties.

Not a big deal, I think.  It just uses predicate
`equal-including-properties', which is coded in C.

But now that this has come up... Perhaps the predicate
to test equality should be the value of a variable, to
give users the ability to control the behavior better.

Or barring that (which I'd prefer), perhaps it could
at least let a user choose whether to distinguish
entries if they are the same other than their properties.

> > BTW - it's a pain to remove all of the formatting of your mails to
> > such lists.
>=20
> Hmm, don't you see a formatting when sending.
>=20
> > Please consider using plain text, or at a minimum not using a colored
> > (i.e. non-white) background.
>=20
> Switched on "Readers Default Colors", which should help.

Whatever you're doing now works, for me at least.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29323; Package emacs. Full text available.

Message received at 29323 <at> debbugs.gnu.org:


Received: (at 29323) by debbugs.gnu.org; 18 Nov 2017 18:49:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 18 13:49:04 2017
Received: from localhost ([127.0.0.1]:46559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eG8Aq-0007Zm-OD
	for submit <at> debbugs.gnu.org; Sat, 18 Nov 2017 13:49:04 -0500
Received: from mout.kundenserver.de ([212.227.126.187]:53338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas.roehler@HIDDEN>) id 1eG8Ao-0007ZH-6M
 for 29323 <at> debbugs.gnu.org; Sat, 18 Nov 2017 13:49:02 -0500
Received: from [192.168.178.35] ([77.12.43.76]) by mrelayeu.kundenserver.de
 (mreue001 [212.227.15.167]) with ESMTPSA (Nemesis) id
 0MOG72-1eCqud01TA-005XAD; Sat, 18 Nov 2017 19:48:51 +0100
Subject: Re: bug#29323: kill-do-not-save-duplicate, FR
To: Drew Adams <drew.adams@HIDDEN>, 29323 <at> debbugs.gnu.org
References: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
 <9e1d4bed-fbe9-463a-afdd-031f3b9cb041@default>
From: =?UTF-8?Q?Andreas_R=c3=b6hler?= <andreas.roehler@HIDDEN>
Message-ID: <4555a640-d432-eaad-954d-2a91078e2396@HIDDEN>
Date: Sat, 18 Nov 2017 20:06:54 +0100
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <9e1d4bed-fbe9-463a-afdd-031f3b9cb041@default>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Provags-ID: V03:K0:ZZwYZfrJ7VQTXujp4KyIsTnMY6QBHMDhxd2vuTNUBSqVdEb3pRR
 tD1sdyNtIJc6P7Q7J059IOckWB0LSJ2JCt3Tt0Fd9rO1eo4A8v2DnXkJzDt7C3iyGr8k5iZ
 ScF7rY5Ncnvo0xfSyYe9Nu4BO2QUmMnVXRXGLuUEvCpZgM2aUpQmpBxOJLoNcwRPLOYTJCa
 wZOTa2cVjXsYnYcctCqJA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:hLrTCGO/gqo=:LuuNZ1FKENHjr59wtMdDCK
 FRr76QSSj5RkJrXMMIxezTXcIHgNGtcihylC5JzujmuMEf1Bj3XjTxExb0LW6bxngWwc4yZc4
 b1B4LsMJRctpj7q1/8v/MHqxxMDjESlO+9zEqZkIEz6KpTvDNHMALme9GN40d8YFLx/U9JRav
 5YaYNAuX23XjLqzRS9Z+ZjkpaDtDDQ1J3LJ35f8bhy9GnfeZCVkHGzTiqtT+HsK0a8GpJecgM
 AFpkm3aL6FaUrOu8xtv7oBJ2k4Ts6QVamyBNf/ZsP7a9sQM/s0H3+6r+piPucfAZsGsV4QK+e
 FcWwWU3F3fEbO/TKYdUrJNNujEnDTF08Jj18juIqxBnTh5B/Rl84I6fQn7xSymX2A9tH46yMF
 hgPaLjiKgurONVgMhC5nwUk+itbCGK90rouA9BzeHz62GlieWn+ygd6mBsFXqCJpSeFGABw/s
 zWT4tOtLQmMGa/EfOUMkf6nTnyf5HnXKppfSIibFk/JnIQ6iU/2CgN1vLnd+r2A5IECsJZ3b7
 VxEgBx5CqS8VRrSg8S/7ir3dn0+l+cq1RxE5asor5n44kcjzPojauR/9qvbu2+Ntr/rUL6zCu
 Ppvxoq7EY7mSF7ntaTuOrkP3mPqi2ByHk4piqd3hVtbsiAugQMWhW8ueMuFQKyCgvQL069jlV
 f8ELTeg9EgIDZ9rk79q6Au0qipYonMhVmE4eSl1DWg6+nr+yTJOhZl+QEQGmg9VbuLs94hq2I
 7MHMtk4V14pFZnGwbpsvKsBQrubbMEd52a0LIuK1piro+ttlLhxkE7ibPhg=
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 29323
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)



On 16.11.2017 23:34, Drew Adams wrote:
>> Currently variable kill-do-not-save-duplicates checks only the (car 
>> kill-ring) as docu explains: Do not add a new string to ‘kill-ring’ 
>> if it duplicates the last one. The comparison is done using 
>> ‘equal-including-properties’. AFAIU it would be trivial replace this 
>> check by a call of "member", thus checking > the whole kill-ring. 
> Why do that? Why not just prevent duplicates in the first place, which 
> is what the option currently does? If you for some reason get 
> duplicate entries somehow, in spite of using the option to prevent 
> them, you can always remove them. I don't understand how that would be 
> something that would happen normally. What is the problem that this 
> would try to solve/prevent? ---


Currently not a check for duplicates is implemented, but for a repeat.

When having alternating strings to copy, they go into the kill-ring one 
after one. That way it ended up having just two strings in the 
kill-ring, and previous content lost.

BTW implementing it would be a way more complicated as thought because 
of text properties.

> BTW - it's a pain to remove all of the formatting of your mails to 
> such lists. 


Hmm, don't you see a formatting when sending.

> Please consider using plain text, or at a minimum not using a colored 
> (i.e. non-white) background.

Switched on "Readers Default Colors", which should help.

> Just a request or suggestion.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29323; Package emacs. Full text available.

Message received at 29323 <at> debbugs.gnu.org:


Received: (at 29323) by debbugs.gnu.org; 16 Nov 2017 22:35:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 16 17:35:07 2017
Received: from localhost ([127.0.0.1]:43978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFSkV-0005pz-LS
	for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 17:35:07 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:45268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1eFSkU-0005pS-6S
 for 29323 <at> debbugs.gnu.org; Thu, 16 Nov 2017 17:35:06 -0500
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 vAGMYwCm019660
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 16 Nov 2017 22:35:00 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0022.oracle.com (8.14.4/8.14.4) with ESMTP id vAGMYwkX008430
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 16 Nov 2017 22:34:58 GMT
Received: from abhmp0015.oracle.com (abhmp0015.oracle.com [141.146.116.21])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id vAGMYv04013636;
 Thu, 16 Nov 2017 22:34:57 GMT
MIME-Version: 1.0
Message-ID: <9e1d4bed-fbe9-463a-afdd-031f3b9cb041@default>
Date: Thu, 16 Nov 2017 14:34:56 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: =?utf-8?B?QW5kcmVhcyBSw7ZobGVy?= <andreas.roehler@HIDDEN>,
 29323 <at> debbugs.gnu.org
Subject: RE: bug#29323: kill-do-not-save-duplicate, FR
References: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
In-Reply-To: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4615.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29323
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> Currently variable kill-do-not-save-duplicates checks only the (car kill-=
ring) as docu explains:=20
>
> Do not add a new string to =E2=80=98kill-ring=E2=80=99 if it duplicates t=
he last one.
> The comparison is done using =E2=80=98equal-including-properties=E2=80=99=
.
> AFAIU it would be trivial replace this check by a call of "member",
> thus checking > the whole kill-ring.

Why do that?  Why not just prevent duplicates in the first place,
which is what the option currently does?

If you for some reason get duplicate entries somehow, in spite of
using the option to prevent them, you can always remove them.

I don't understand how that would be something that would happen
normally.  What is the problem that this would try to solve/prevent?

---

BTW - it's a pain to remove all of the formatting of your mails
to such lists.  Please consider using plain text, or at a minimum
not using a colored (i.e. non-white) background.  Just a request
or suggestion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29323; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2017 19:34:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 16 14:34:12 2017
Received: from localhost ([127.0.0.1]:43888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFPvQ-0001Re-I5
	for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 14:34:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:32833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas.roehler@HIDDEN>) id 1eFPvP-0001RR-L0
 for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 14:34:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1eFPvJ-0005PZ-Pp
 for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 14:34:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58376)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andreas.roehler@HIDDEN>)
 id 1eFPvJ-0005PT-ME
 for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 14:34:05 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52025)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1eFPvI-00015T-GY
 for bug-gnu-emacs@HIDDEN; Thu, 16 Nov 2017 14:34:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1eFPvE-0005LZ-VX
 for bug-gnu-emacs@HIDDEN; Thu, 16 Nov 2017 14:34:04 -0500
Received: from mout.kundenserver.de ([212.227.126.131]:62379)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <andreas.roehler@HIDDEN>)
 id 1eFPvE-0005Ix-L1
 for bug-gnu-emacs@HIDDEN; Thu, 16 Nov 2017 14:34:00 -0500
Received: from [192.168.178.35] ([77.12.71.30]) by mrelayeu.kundenserver.de
 (mreue004 [212.227.15.167]) with ESMTPSA (Nemesis) id
 0LqHAa-1estXh3Ybg-00dmSj for <bug-gnu-emacs@HIDDEN>; Thu, 16 Nov 2017
 20:33:58 +0100
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Andreas_R=c3=b6hler?= <andreas.roehler@HIDDEN>
Subject: kill-do-not-save-duplicate, FR
Message-ID: <389775cc-0e7b-ec2b-37d3-176516fc0786@HIDDEN>
Date: Thu, 16 Nov 2017 20:51:54 +0100
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="------------35FA8F55FE5EBB4E4D90C509"
Content-Language: en-US
X-Provags-ID: V03:K0:XoyZkpcUT3XWUnOohpjyfyiZK5EYB83Yya+QmAW8pgYnpUg3xz/
 z5En7tQf018eJvvoMVc35FR1ge74irvIsr9Y/RN3gn6ZomxpehviLaUDn4B0N61qQi1hWRN
 vBcBMyHNQjDASPUXhhPc4dg1peD3YecJEzMrXzNygK/0+szRrOUIry6ezo8+qkUQJyRQMTz
 hxJCt6Itc7o01oYutSNjQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:hig7yeG5X10=:AzkdbNFwreEjr/NaslFB8z
 GbRUv7LB0a1+L5Fl2MRtg11GSDsdrmbYNXEyFe/URzLLueSNQP0oZcKc4r2dZpPtEIGmXwgSX
 ijWrTQ5/LGJTu0zhOp3ASYbr0nFgiCXt6xvVAmYLj/qm1u7eLElA0GYQH5Z0ij2zrsZR6kAMX
 brsPaEdVFFJFVYAg68xBblTrUC8I6mJxSXKPmvYdezlzdqx2j0/+qRqY9yawXkRmgT2ugqCyg
 /Y8FnDzaWml852JOHQuIXfX2j+5gaKipM1pg+yk1ZC9i4YIhi0mHOE0AsH+SoMdbpW9RTdRaV
 0G6mJtNHJwg4DJdlt/esUJ5vB7macEi0VMgkMU08BV4fMidrfftmJRfQ+M2HnVRE+NuuDQZAt
 XfCChHOgj0rh7W+FJABminXzirTYtNfVPHGPsYcI9R1nE5N1NIUkX6PtIAUdV2fD9wgKL47N+
 Hi7VpINcK38nMfWdclbB9HIPLF0TQWUHIDRqxXaCGILVBON/EkZBe9rglYl0b8beber6uyDA0
 ERbyHRwn+firgso1X1VSJbcrZ3X/xveMDZ1FV9fFPpeKoHTU6AOCac/ybak8gApQCiK5DHlaK
 UZXxTyOSBQFnC4J38LJOa6Ie4m+cK8lDB5NLSPA0RMYqP+JaktPlVdsa/oLneQSBWE2WOUgWP
 u4wikzNpCUXdw1fAVtfTydc/rQYkcxqLh5im4FLN0fJBv53gMPoqwq017QSnKpdT/vcgWPNs+
 4vTY/NJjEgJ/x3FVbOcdISilyWre5TmPW6jObXmBh0XI83c6ngHvmvv1ixQ=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.
--------------35FA8F55FE5EBB4E4D90C509
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

Feature request:

Currently variable kill-do-not-save-duplicates checks only the (car 
kill-ring) as docu explains:

Do not add a new string to ‘kill-ring’ if it duplicates the last one.
The comparison is done using ‘equal-including-properties’.

AFAIU it would be trivial replace this check by a call of "member", thus 
checking the whole kill-ring.

Thanks,

Andreas



--------------35FA8F55FE5EBB4E4D90C509
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>

    <meta http-equiv="content-type" content="text/html; charset=utf-8">
  </head>
  <body text="#996633" bgcolor="#000000">
    <tt>Feature re</tt><tt>quest:</tt><tt><br>
      <br>
    </tt><tt>Currently variable kill-do-not-save-duplicates </tt><tt>checks
      only the (car kill-ring) as docu explains: </tt><tt><br>
    </tt><tt><br>
    </tt><tt>Do not add a new string to ‘kill-ring’ if it duplicates the
      last one.</tt><tt><br>
    </tt><tt>The comparison is done using ‘equal-including-properties’.</tt><tt><br>
      <br>
    </tt><tt>AFAIU it would be trivial replace this check by a call of
      "member", thus checking the whole kill-ring.<br>
      <br>
      Thanks,<br>
      <br>
      Andreas<br>
    </tt>
    <p><br>
    </p>
  </body>
</html>

--------------35FA8F55FE5EBB4E4D90C509--




Acknowledgement sent to Andreas Röhler <andreas.roehler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29323; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 30 Nov 2021 15:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.